Skip to main content
POST
/
admin
/
donor
/
{hysform_id}
Add a new donor
curl --request POST \
  --url https://api.helpyousponsor.com/v1/admin/donor/{hysform_id} \
  --header 'Content-Type: application/json' \
  --header 'X-HYS-API-Key: <api-key>' \
  --data '
{
  "client_id": "<string>",
  "dn_donor_name": "donor name",
  "username": "<string>",
  "email": "<string>",
  "notify_donor": 337,
  "hysform_id": 1
}
'
{
  "message": "<string>",
  "status": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-HYS-API-Key
string
header
required

API key generated from Developer Settings. Format: hys_...

Path Parameters

hysform_id
integer
required

The id of the donor form

Body

application/json

Donor data

client_id
string
dn_donor_name
string
Example:

"donor name"

username
string
email
string
notify_donor
integer

Email template ID

Example:

337

hysform_id
integer
Example:

1

Response

Successful operation

message
string
status
string